﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace OpenOnFocusAutoComplete
{
	class CustomFilteringBehavior : FilteringBehavior
	{
		public override IEnumerable<object> FindMatchingItems(string searchText, System.Collections.IList items, IEnumerable<object> escapedItems, string textSearchPath, TextSearchMode textSearchMode)
		{
			if (string.IsNullOrEmpty(searchText))
			{
				return items.OfType<object>().Where(x => !escapedItems.Contains(x));
			}
			else
			{
				return base.FindMatchingItems(searchText, items, Enumerable.Empty<object>(), textSearchPath, textSearchMode);
			}
		}
	}
}
